Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002194Zandronum[All Projects] Bugpublic2015-04-17 20:122018-09-30 22:12
ReporterCatastrophe 
Assigned ToTorr Samaho 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version 
Target Version3.0Fixed in Version3.0 
Summary0002194: +notelefrag and -telestomp don't work at all with +thruspecies
Descriptionsv_unblockplayers comes with a handy feature that stops people from telefragging each other while letting them pass through each other.

But, trying to recreate this on DECORATE fails.
Steps To Reproduceload the attached file, start a game, online/offline. add a bunch of bots and watch them telefrag each other on spawn.
Attached Files? file icon thruspeciesbug.wad [^] (101,932 bytes) 2015-04-17 20:12
? file icon thruspeciesbugmap.wad [^] (4,859 bytes) 2015-04-19 17:46

- Relationships

-  Notes
User avatar (0012127)
Edward-san (developer)
2015-04-17 20:35

Does this happen in ZDoom 2.6.1?
User avatar (0012138)
Catastrophe (reporter)
2015-04-19 17:43

Tested with 2.8 and it happens, posted bug report here:http://forum.zdoom.org/viewtopic.php?f=2&t=48370 [^]
User avatar (0014221)
Edward-san (developer)
2016-01-29 13:25

[Fixed].
User avatar (0014245)
Torr Samaho (administrator)
2016-01-30 14:12

I backported the ZDoom fix.
User avatar (0014247)
cobalt (updater)
2016-01-30 14:21

Issue addressed by commit ff57ae41a1b9: - fixed: P_TeleportMove was missing checks for THRUACTORS and THRUSPECIES flags.
Committed by Christoph Oelckers on Wednesday 31 December 1969 23:59:57

Changes in files:

 src/p_map.cpp | 6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

User avatar (0014266)
Ru5tK1ng (updater)
2016-01-31 21:13

I tried this out with 160131-2023 and no bots were telefragged even when I spammed the addbot command. Seems to work now.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2015-04-17 20:12 Catastrophe New Issue
2015-04-17 20:12 Catastrophe File Added: thruspeciesbug.wad
2015-04-17 20:35 Edward-san Note Added: 0012127
2015-04-17 20:35 Edward-san Status new => feedback
2015-04-19 17:43 Catastrophe Note Added: 0012138
2015-04-19 17:43 Catastrophe Status feedback => new
2015-04-19 17:46 Catastrophe File Added: thruspeciesbugmap.wad
2015-04-19 20:54 Edward-san Status new => acknowledged
2015-04-19 20:54 Edward-san Resolution open => waiting for zdoom
2016-01-29 13:25 Edward-san Note Added: 0014221
2016-01-29 13:25 Edward-san Assigned To => Torr Samaho
2016-01-29 13:25 Edward-san Status acknowledged => assigned
2016-01-29 13:25 Edward-san Resolution waiting for zdoom => open
2016-01-30 14:12 Torr Samaho Note Added: 0014245
2016-01-30 14:21 cobalt Status assigned => needs testing
2016-01-30 14:21 cobalt Target Version => 3.0
2016-01-30 14:21 cobalt Description Updated View Revisions
2016-01-30 14:21 cobalt Note Added: 0014247
2016-01-31 21:13 Ru5tK1ng Note Added: 0014266
2016-01-31 22:50 Dusk Status needs testing => resolved
2016-01-31 22:50 Dusk Fixed in Version => 3.0
2016-01-31 22:50 Dusk Resolution open => fixed
2018-09-30 22:12 Blzut3 Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker